Bug 162577 - lang/caml-light security update
Summary: lang/caml-light security update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-15 08:30 UTC by Michaël Grünewald
Modified: 2012-01-29 13:56 UTC (History)
0 users

See Also:


Attachments
caml-light.patch (3.95 KB, patch)
2011-11-15 08:30 UTC, Michaël Grünewald
no flags Details | Diff
caml-light.patch (3.93 KB, patch)
2011-12-06 12:35 UTC, Michaël Grünewald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michaël Grünewald 2011-11-15 08:30:08 UTC
	Parsers generated by the YACC tool in caml-light use insecure
	temporary files.  The build process also uses temporary files
	in a permissive way.  The attached patch is believed to fix
	these two issues.
	This PR and the attached patch are base on:
	  http://gnats.netbsd.org/45558

	I wish to warmly thank Eitan Adler who sent me
	this u seful reference.
Comment 1 Edwin Groothuis freebsd_committer 2011-11-15 08:30:19 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-11-15 08:30:24 UTC
Maintainer of lang/caml-light,

Please note that PR ports/162577 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162577

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-11-15 08:30:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Michaël Grünewald 2011-11-15 08:58:37 UTC
Dear FreeBSD Committers,

Edwin Groothuis wrote:
> Maintainer of lang/caml-light,
>
> Please note that PR ports/162577 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

I approve the patch.

BTW I am also emmitter of the patch, and I am pretty sure I selected 
`maintainer-update` where appropriate.  Did I overlook something?

Best regards,
Michael
Comment 5 Martin Wilke freebsd_committer 2011-11-15 16:10:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Chris Rees 2011-11-15 19:03:08 UTC
Probably edwin's auto-assigner was confused by the characters in your
email address; take a look at the web view.

Chris
Comment 7 Martin Wilke freebsd_committer 2011-11-27 15:52:24 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 8 Martin Wilke freebsd_committer 2011-11-27 15:52:34 UTC
State Changed
From-To: open->feedback


Patch failed 

Hmm...  Looks like a unified diff to me...  The text leading up to this 
was: -------------------------- |diff --git 
a/files/patch-src_launch_Makefile |b/files/patch-src_launch_Makefile 
|index 38b39aa..afba4c5 100644 |--- a/files/patch-src_launch_Makefile 
|+++ b/files/patch-src_launch_Makefile -------------------------- File 
to patch: files/patch-src_launch_Makefile Patching file 
files/patch-src_launch_Makefile using Plan A...  patch: **** malformed 
patch at line 34: diff --git a/files/patch-src_yacc_main.c 
b/files/patch-src_yacc_main.c
Comment 9 Michaël Grünewald 2011-12-06 12:35:24 UTC
Here is a new patch.

For the record, the old patch was produced with:

   git diff --relative caml-light-0.75_3 caml-light-0.75_4 \
     > caml-light.patch

Header data in the resulting patch contains file names like /a/... (old 
file) and /b/... (new file).  This puzzles the `patch` programs that 
needs the `-p 1` to cope guess the right names out of this header data.

To produce a clean patch, like the one attached, we need to use 
`--no-prefix` option of the git-diff subcommand.
Comment 10 Philip M. Gollucci freebsd_committer 2012-01-18 05:41:38 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 11 dfilter service freebsd_committer 2012-01-29 13:12:06 UTC
miwi        2012-01-29 13:11:51 UTC

  FreeBSD ports repository

  Modified files:
    lang/caml-light      Makefile 
    lang/caml-light/files patch-src_launch_Makefile 
  Added files:
    lang/caml-light/files patch-src_yacc_main.c 
  Log:
  - Fix Build
  
  PR:             162577
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.21      +1 -1      ports/lang/caml-light/Makefile
  1.2       +15 -9     ports/lang/caml-light/files/patch-src_launch_Makefile
  1.1       +81 -0     ports/lang/caml-light/files/patch-src_yacc_main.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Martin Wilke freebsd_committer 2012-01-29 13:12:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!